import ddf.minim.*;

Screen screen;
PFont saddlebag;
boolean mousePressedPreviously = false;
boolean keyPressedPreviously = false;
color yellow = color(255, 216, 0), orange=color(255, 106, 0);
boolean sound = true;

Minim minim;
AudioPlayer theme;
AudioSample shot;

void setup(){
    size(700, 400);
    noSmooth();
    
    minim = new Minim(this);
    theme = minim.loadFile("mus/the-sandy-trail.wav");
    shot = minim.loadSample("mus/shotgun-old_school-RA_The_Sun_God-1129942741.wav");
    theme.loop();
    
    saddlebag = loadFont("Saddlebag.vlw");
    
    textFont(saddlebag);
    screen = new MenuScreen();
}

void draw(){
    background(255, 0, 255);
    
    cursor(0);
    
    screen.update();
    screen.render();
    
    fill(255, 255, 0);
    textAlign(LEFT);
    textSize(10);
    text(int(frameRate) + " FPS", 2, 11);
    
    mousePressedPreviously = mousePressed;
    keyPressedPreviously = keyPressed;
}

class Screen{
    public Screen(){}
    
    public void update(){}
    
    public void render(){}
}
